XmLArrayMove(3X)

NAME
XmLArrayMove - move items in an array

SYNTAX
int XmLArrayMove(array, newPos, pos, count)
XmLArray array;
int newPos;
int pos;
int count;

ARGUMENTS

array
    array to operate on

newPos
    position to move to

pos position to move from

count
    number of items to move

DESCRIPTION
Moves count pointers starting at position pos in the array to the new position newPos. The existing pointers at the new location are moved down to accommodate the move. No pointers are overwritten by this call and the size of the array will remain unchanged.

RETURN VALUE
0 upon success and -1 upon failure (a value passed is out of range).

SEE ALSO
XmLArrayAdd(3X) XmLArrayDel(3X) XmLArrayFree(3X) XmLArrayGet(3X) XmLArrayGetCount(3X) XmLArrayNew(3X) XmLArrayReorder(3X) XmLArraySet(3X) XmLArraySort(3X)